# Interface SessionInfo

All Known Implementing Classes:
  `ImmutableSessionInfo`

@Immutable public interface SessionInfo

## Method Summary

Modifier and Type
Method
Description
`IDatabricksComputeResource`
`computeResource()`
`TSessionHandle`
`sessionHandle()`
`String`
`sessionId()`

## Method Details

### sessionId

String sessionId()

### computeResource

IDatabricksComputeResource computeResource()

### sessionHandle

@Nullable TSessionHandle sessionHandle()